List all subscribers
Returns all subscribers in your Sender account.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/subscribers
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/subscribers");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/subscribers', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/subscribers"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/subscribers" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": [ { "id": "o2lk68Y", "firstname": "Sender", "lastname": "Support", "phone": "+370XXXXXXXX", "phone_country": { "phone_code": 370, "country_code": "LT" }, "created": "2021-04-08 11:06:34", "status": { "email": "unsubscribed", "temail": "active" }, "bounced_at": null, "unsubscribed_at": null, "location": null, "subscriber_tags": [ { "id": "eZVD4w", "title": "Test group" }, { "id": "b2vAR1", "title": "My Renamed Group" } ], "columns": { "bDqoKd": 1, "avAlVe": "Support", "dwBVJb": "Sender" } } ], "links": { "first": "https://api.sender.net/v2/subscribers?page=1", "last": "https://api.sender.net/v2/subscribers?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "pagination.previous", "active": false }, { "url": "https://api.sender.net/v2/subscribers?page=1", "label": 1, "active": true }, { "url": null, "label": "pagination.next", "active": false } ], "path": "https://api.sender.net/v2/subscribers", "per_page": 10, "to": 1, "total": 1 }, "has_more_not_deleted_subscribers": true}